## mpd 0.21.1

=== meson_options.txt ===
option('documentation', type: 'boolean', value: false, description: 'Build documentation')

option('test', type: 'boolean', value: false, description: 'Build the unit tests and debug programs')

option('syslog', type: 'feature', description: 'syslog support')
option('inotify', type: 'boolean', value: true, description: 'inotify support (for automatic database update)')

option('daemon', type: 'boolean', value: true, description: 'enable daemonization')
option('systemd', type: 'feature', description: 'systemd support')

option('systemd_system_unit_dir', type: 'string', description: 'systemd system service directory')
option('systemd_user_unit_dir', type: 'string', description: 'systemd user service directory')

#
# Android
#

option('android_sdk', type: 'string', description: 'The path where Android SDK is installed')
option('android_ndk', type: 'string', description: 'The path where Android NDK is installed')
option('android_abi', type: 'string', value: 'armeabi-v7a', description: 'The Android ABI to be built')

option('android_strip', type: 'string', value: 'strip', description: 'The "strip" tool from the NDK')

option('android_debug_keystore', type: 'string', description: 'The keystore file used to sign debug APK files')

option('android_keystore', type: 'string', description: 'The keystore file used to sign APK files')
option('android_keyalias', type: 'string', description: 'The key alias used to sign APK files')
option('android_keypass', type: 'string', description: 'The password of the keystore used to sign APK files')

#
# System call support
#

option('epoll', type: 'boolean', value: true, description: 'Use epoll on Linux')
option('eventfd', type: 'boolean', value: true, description: 'Use eventfd() on Linux')
option('signalfd', type: 'boolean', value: true, description: 'Use signalfd() on Linux')

#
# Network support
#

option('tcp', type: 'boolean', value: true, description: 'Support for clients connecting via TCP')
option('ipv6', type: 'feature', description: 'Support for IPv6')
option('local_socket', type: 'boolean', value: true, description: 'Support for clients connecting via local sockets')

#
# Audio formats
#

option('dsd', type: 'boolean', value: true, description: 'Support the DSD audio format')

#
# Database plugins
#

option('database', type: 'boolean', value: true, description: 'enable support for the music database')
option('upnp', type: 'feature', description: 'UPnP client support')
option('libmpdclient', type: 'feature', description: 'libmpdclient support (for the proxy database plugin)')

#
# Neighbor plugins
#

option('neighbor', type: 'boolean', value: true, description: 'enable support for neighbor discovery')

#
# Storage plugins
#

option('udisks', type: 'feature', description: 'Support for removable media using udisks2')
option('webdav', type: 'feature', description: 'WebDAV support using CURL and Expat')

#
# Playlist plugins
#

option('cue', type: 'boolean', value: true, description: 'CUE sheet support')

#
# Input plugins
#

option('cdio_paranoia', type: 'feature', description: 'libcdio_paranoia input plugin')
option('curl', type: 'feature', description: 'HTTP client using CURL')
option('mms', type: 'feature', description: 'MMS protocol support using libmms')
option('nfs', type: 'feature', description: 'NFS protocol support using libnfs')
option('smbclient', type: 'feature', description: 'SMB support using libsmbclient')

#
# Commercial services
#

option('qobuz', type: 'feature', description: 'Qobuz client')
option('soundcloud', type: 'feature', description: 'SoundCloud client')
option('tidal', type: 'feature', description: 'Tidal client')

#
# Archive plugins
#

option('bzip2', type: 'feature', description: 'bzip2 support using libbz2')
option('iso9660', type: 'feature', description: 'ISO9660 support using libiso9660')
option('zzip', type: 'feature', description: 'ZIP support using zziplib')

#
# Tag plugins
#

option('id3tag', type: 'feature', description: 'ID3 support using libid3tag')
option('chromaprint', type: 'feature', description: 'ChromaPrint / AcoustID support')

#
# Decoder plugins
#

option('adplug', type: 'feature', description: 'AdPlug decoder plugin')
option('audiofile', type: 'feature', description: 'libaudiofile decoder plugin')
option('faad', type: 'feature', description: 'AAC decoder using libfaad')
option('ffmpeg', type: 'feature', description: 'FFmpeg codec support')
option('flac', type: 'feature', description: 'FLAC decoder plugin')
option('fluidsynth', type: 'feature', description: 'fluidsynth MIDI decoder plugin')
option('gme', type: 'feature', description: 'Game Music Emulator decoder plugin')
option('mad', type: 'feature', description: 'MP3 decoder using libmad')
option('mikmod', type: 'feature', description: 'MikMod decoder plugin')
option('modplug', type: 'feature', description: 'Modplug decoder plugin')
option('mpcdec', type: 'feature', description: 'Musepack decoder plugin')
option('mpg123', type: 'feature', description: 'MP3 decoder using libmpg123')
option('opus', type: 'feature', description: 'Opus decoder plugin')
option('sidplay', type: 'feature', description: 'C64 SID support via libsidplayfp or libsidplay2')
option('sndfile', type: 'feature', description: 'libsndfile decoder plugin')
option('vorbis', type: 'feature', description: 'Vorbis decoder plugin')
option('wavpack', type: 'feature', description: 'WavPack decoder plugin')
option('wildmidi', type: 'feature', description: 'WildMidi decoder plugin')

#
# Encoder plugins
#

option('vorbisenc', type: 'feature', description: 'Vorbis encoder plugin')
option('lame', type: 'feature', description: 'LAME MP3 encoder plugin')
option('twolame', type: 'feature', description: 'TwoLAME MP2 encoder plugin')
option('shine', type: 'feature', description: 'shine MP3 encoder plugin')
option('wave_encoder', type: 'boolean', value: true, description: 'PCM wave encoder encoder plugin')

#
# Filter plugins
#

option('libsamplerate', type: 'feature', description: 'libsamplerate resampler')
option('soxr', type: 'feature', description: 'libsoxr resampler')

#
# Output plugins
#

option('alsa', type: 'feature', description: 'ALSA support')
option('ao', type: 'feature', description: 'libao output plugin')
option('fifo', type: 'boolean', value: true, description: 'FIFO output plugin')
option('httpd', type: 'boolean', value: true, description: 'HTTP streaming output plugin')
option('jack', type: 'feature', description: 'JACK output plugin')
option('openal', type: 'feature', description: 'OpenAL output plugin')
option('oss', type: 'feature', description: 'Open Sound System support')
option('pipe', type: 'boolean', value: true, description: 'Pipe output plugin')
option('pulse', type: 'feature', description: 'PulseAudio support')
option('recorder', type: 'boolean', value: true, description: 'Recorder output plugin')
option('shout', type: 'feature', description: 'Shoutcast streaming support using libshout')
option('sndio', type: 'feature', description: 'sndio output plugin')
option('solaris_output', type: 'feature', description: 'Solaris /dev/audio support')

#
# Misc libraries
#

option('dbus', type: 'feature', description: 'D-Bus support')
option('expat', type: 'feature', description: 'Expat XML support')
option('icu', type: 'feature', description: 'Use libicu for Unicode')
option('iconv', type: 'feature', description: 'Use iconv() for character set conversion')
option('libwrap', type: 'feature', description: 'libwrap support')
option('sqlite', type: 'feature', description: 'SQLite database support (for stickers)')
option('yajl', type: 'feature', description: 'libyajl for YAML support')
option('zlib', type: 'feature', description: 'zlib support (for database compression)')

option('zeroconf', type: 'combo',
       choices: ['auto', 'avahi', 'bonjour', 'disabled'],
       value: 'auto',
       description: 'Zeroconf support')

## mpd 0.17.4

=== debian/changelog ===
mpd (0.17.4-3ubuntu1) saucy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add libmp3lame-dev to Build-Depends, and enable LAME.
    - Read the user for the daemon from the config file in the init script.
    - Move avahi-daemon from Suggests to Recommends.
    - Added apport hook to include user configuration file.
  * Ubuntu changes dropped:
    - Removed start-create-db option from Usage string.

 -- Steve Kowalik <stevenk@ubuntu.com>  Sat, 08 Jun 2013 18:15:44 +1000

mpd (0.17.4-3) unstable; urgency=low

  * Enable ffado plugin on [amd64 armel armhf i386 powerpc] only

 -- Florian Schlichting <fsfs@debian.org>  Thu, 02 May 2013 09:18:37 +0200

mpd (0.17.4-2) unstable; urgency=low

  * Properly fix build failures on kfreebsd and hurd, dropping
    fix-ESTRPIPE.patch
  * Run autoreconf during build
  * Enable more plugins: ffado, gme, soup, wildmidi
  * Fix documentation of not-actually-required parameters in mpd.conf(5)
    (closes: #622368)

 -- Florian Schlichting <fsfs@debian.org>  Thu, 02 May 2013 00:01:34 +0200

mpd (0.17.4-1) unstable; urgency=low

  * Import Upstream version 0.17.4
  * Update upstream Homepage, watch file
  * Drop fix-typos-in-manpage.patch, applied upstream
  * New fix-ESTRPIPE.patch against build failures on kfreebsd and hurd
  * Update mpd.conf with new options, ship upstreams version in examples
  * Bump Standards-Version to 3.9.4 (no change necessary)

 -- Florian Schlichting <fsfs@debian.org>  Tue, 09 Apr 2013 00:50:02 +0200

mpd (0.17.3-1) unstable; urgency=low

  [ Florian Schlichting ]
  * Imported Upstream version 0.17.3 (closes: #694377).
  * debian/mpd.init.d: 
      + remove start-create-db option from Usage string (closes: #662088,
        LP: #902485)
      + allow stopping mpd even when START_MPD=false (closes: #545559)
      + don't check for and create $PIDDIR twice
  * Don't tell mpd to look for non-existant /etc/mpd/mpd.conf instead of plain
    /etc/mpd.conf (closes: #681774).
  * Move pidfile from legacy /var/run/mpd to /run/mpd and drop lintian
    override (closes: #689900).
  * Have systemd create /run/mpd as well (thanks intrigeri; closes: #694497).
  * Disable systemd support on non-linux architectures.
  * Update provided mpd.conf from doc/mpdconf.example, adding
    httpd.bind_to_address in the process (closes: #664204).
  * Provide a sample mpd.desktop file for user-session autostart
    (closes: #551875).
  * Enable support for libwrap (closes: #627184).
  * Install the upstream changelog in its proper place and skip redundant
    upstream docs. Instead, generate and install user-manual.html.
  * Update README.Debian: no more experimental snapshot builds by Decklin
    Foster.
  * Drop README.source, it talks about cdbs which was abandoned for dh.
  * Fix maintainer-script-without-set-e lintian warning.
  * Add fix-typos-in-manpage.patch.
  * Switch to copyright-format 1.0.
  * Add myself to Uploaders.

  [ Alexander Wirt ]
  * Remove myself from the list of uploaders.

 -- Florian Schlichting <fsfs@debian.org>  Thu, 04 Apr 2013 21:22:44 +0200

mpd (0.17.1-1) unstable; urgency=low

  * [c02b44a] Unapply patches after build
  * [88a5fe0] Ignore quilt dir
  * [e785279] Move to 3.0
  * [1c585a6] Imported Upstream version 0.17.1
    - fix playback with software mixing: Closes: #680328

 -- Alexander Wirt <formorer@debian.org>  Fri, 24 Aug 2012 17:37:49 +0200

mpd (0.17-1) unstable; urgency=low

  * [7bd0a55] Imported Upstream version 0.17
  * [2caba61] Enable some new modules
  * [ace771f] Add systemd support

 -- Alexander Wirt <formorer@debian.org>  Sat, 30 Jun 2012 00:07:05 +0200

mpd (0.16.8-1) unstable; urgency=low

  * [73d225a] Imported Upstream version 0.16.8
  * [591d6d8] Bump standards version (no changes)
  * [5b1ad81] Bump debhelper to 9 for hardening flags

 -- Alexander Wirt <formorer@debian.org>  Wed, 27 Jun 2012 07:40:21 +0200

mpd (0.16.7-2) unstable; urgency=low

  * [06f520f] Enable lame mp3 encoder (Closes: #559933)

 -- Alexander Wirt <formorer@debian.org>  Sat, 10 Mar 2012 14:05:48 +0100

mpd (0.16.7-1) unstable; urgency=low

  * [4b06732] Imported Upstream version 0.16.7

 -- Alexander Wirt <formorer@debian.org>  Sat, 11 Feb 2012 19:17:01 +0100

mpd (0.16.5-1ubuntu4) precise; urgency=low

  * debian/source_mpd.py
    - Added apport hook to include user configuration file. (LP: #947551)

 -- Ronny Cardona <rcart19@gmail.com>  Wed, 07 Mar 2012 18:03:12 -0600

mpd (0.16.5-1ubuntu3) precise; urgency=low

  * debian/mpd.init.d:
    - Removed start-create-db option from Usage string. (LP: #902485)

 -- Ronny Cardona <rcart19@gmail.com>  Sat, 03 Mar 2012 16:02:12 -0800

mpd (0.16.5-1ubuntu2) precise; urgency=low

  * Rebuild to pick new audiofile's shlibs (LP: #922036)

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 27 Jan 2012 12:46:39 +0100

mpd (0.16.5-1ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - debian/control:
      + Move avahi-daemon from Suggests field to Recommends field.
    - debian/mpd.init.d:
      + Read mpd user from mpd.conf.
    - debian/control, debian/rules:
      + Add libmp3lame-dev to the build dependencies and enable lame.

 -- Angel Abad <angelabad@ubuntu.com>  Wed, 26 Oct 2011 18:12:55 +0200

mpd (0.16.5-1) unstable; urgency=low

  * [9bce739] Imported Upstream version 0.16.5

 -- Alexander Wirt <formorer@debian.org>  Sat, 15 Oct 2011 10:19:37 +0200

mpd (0.16.4-1ubuntu1) precise; urgency=low

  * Merge from debian testing.  Remaining changes:
    - debian/control:
      + Move avahi-daemon from Suggests field to Recommends field.
    - debian/mpd.init.d:
      + Read mpd user from mpd.conf.
    - debian/control, debian/rules:
      + Add libmp3lame-dev to the build dependencies and enable lame.
  * Droped change, applied upstream:
    - debian/patches/libav-0.7.diff:
      + Update libavcodec API usage to unbreak compilation against Libav 0.7

 -- Angel Abad <angelabad@ubuntu.com>  Mon, 17 Oct 2011 13:19:40 +0200



=== debian/control ===
Source: mpd
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
Uploaders: Florian Schlichting <fsfs@debian.org>
Build-Depends: debhelper (>= 9),
               dh-autoreconf,
               dpkg-dev (>= 1.16.1~),
               libao-dev (>= 0.8.3),
               libasound2-dev  [linux-any],
               libaudiofile-dev,
               libavahi-client-dev,
    	       libavahi-glib-dev,
               libavcodec-dev,
               libsndfile1-dev,
               libyajl-dev,
               libsidutils-dev,
               libmodplug-dev,
               libcdio-paranoia-dev,
               libfluidsynth-dev,
               libmpg123-dev,
               libavformat-dev,
               libiso9660-dev,
               libcurl4-gnutls-dev | libcurl-dev,
               libfaad-dev,
               libffado-dev [amd64 armel armhf i386 powerpc],
               libflac-dev (>= 1.1.4),
               libgme-dev,
               libid3tag0-dev,
               libjack-jackd2-dev,
               libmad0-dev,
               libmikmod2-dev,
               libmms-dev,
               libmp3lame-dev,
               libmpcdec-dev,
               libogg-dev,
               libpulse-dev,
               libresid-builder-dev,
               libsamplerate0-dev,
               libshout3-dev,
               libsoup2.4-dev,
               libsystemd-daemon-dev [linux-any],
               libsidplay2-dev,
               libsqlite3-dev,
               libvorbis-dev [!arm !armel !armeb],
               libvorbisidec-dev [arm armel armeb],
               libwavpack-dev,
               libwildmidi-dev,
               libwrap0-dev,
               xmlto,
               zlib1g-dev,
               libmp3lame-dev
Standards-Version: 3.9.4
Homepage: http://www.musicpd.org/
Vcs-Browser: http://git.debian.org/?p=pkg-mpd/pkg-mpd.git
Vcs-Git: git://git.debian.org/pkg-mpd/pkg-mpd.git

Package: mpd
Architecture: any
Depends: adduser, lsb-base (>= 3.2-13), ${misc:Depends}, ${shlibs:Depends}
Suggests: icecast2, mpd-client, pulseaudio
Recommends: avahi-daemon
Description: Music Player Daemon
 Music Player Daemon (MPD) is a server that allows remote access for
 playing audio files (Ogg-Vorbis, FLAC, MP3, Wave, and AIFF), streams
 (Ogg-Vorbis, MP3) and managing playlists.  Gapless playback, buffered
 output, and crossfading support is also included.  The design focus is
 on integrating a computer into a stereo system that provides control
 for music playback over a TCP/IP network.  The goals are to be easy to
 install and use, to have minimal resource requirements (it has been
 reported to run fine on a Pentium 75), and to remain stable and
 flexible.
 .
 The daemon is controlled through a client which need not run on the
 same computer mpd runs on.  The separate client and server design
 allows users to choose a user interface that best suites their tastes
 independently of the underlying daemon (this package) which actually
 plays music.

Package: mpd-dbg
Section: debug
Priority: extra
Architecture: any
Depends: mpd (= ${binary:Version}), ${misc:Depends}
Description: Music Player Daemon debugging symbols
 Music Player Daemon (MPD) is a server that allows remote access for
 playing audio files (Ogg-Vorbis, FLAC, MP3, Wave, and AIFF), streams
 (Ogg-Vorbis, MP3) and managing playlists.  Gapless playback, buffered
 output, and crossfading support is also included.  The design focus is
 on integrating a computer into a stereo system that provides control
 for music playback over a TCP/IP network.  The goals are to be easy to
 install and use, to have minimal resource requirements (it has been
 reported to run fine on a Pentium 75), and to remain stable and
 flexible.
 .
 The daemon is controlled through a client which need not run on the
 same computer mpd runs on.  The separate client and server design
 allows users to choose a user interface that best suites their tastes
 independently of the underlying daemon (this package) which actually
 plays music.
 .
 This package contains the debugging symbols.

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk

WITH_TREMOR=
ifeq ($(DEB_HOST_ARCH), arm)
WITH_TREMOR=--with-tremor
endif
ifeq ($(DEB_HOST_ARCH), armel)
WITH_TREMOR=--with-tremor
endif
ifeq ($(DEB_HOST_ARCH), armeb)
WITH_TREMOR=--with-tremor
endif

ENABLE_FFADO=
ifeq ($(DEB_HOST_ARCH), amd64)
ENABLE_FFADO=--enable-ffado
endif
ifeq ($(DEB_HOST_ARCH), armel)
ENABLE_FFADO=--enable-ffado
endif
ifeq ($(DEB_HOST_ARCH), armhf)
ENABLE_FFADO=--enable-ffado
endif
ifeq ($(DEB_HOST_ARCH), i386)
ENABLE_FFADO=--enable-ffado
endif
ifeq ($(DEB_HOST_ARCH), powerpc)
ENABLE_FFADO=--enable-ffado
endif

# no systemd and no alsa on non-linux arches
ifeq ($(DEB_HOST_ARCH_OS), linux)
WITH_SYSTEMD=--enable-systemd-daemon --with-systemdsystemunitdir=/lib/systemd/system
CP_SYSTEMD_UNIT=mkdir -p debian/mpd/lib/systemd && cp -a debian/tmp/lib/systemd/system debian/mpd/lib/systemd/
else
WITH_SYSTEMD=--disable-alsa
CP_SYSTEMD_UNIT=echo "no systemd, not copying systemd .service file"
endif

LDFLAGS += -Wl,--as-needed

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	./configure $(WITH_TREMOR) $(WITH_SYSTEMD) $(ENABLE_FFADO) \
		--enable-sqlite \
		--enable-un \
		--enable-ao \
		--enable-lastfm \
		--enable-pipe-output \
		--enable-lame \
		--disable-cue \
		--enable-mikmod \
		--enable-soundcloud \
		--enable-iso9660 \
		--enable-modplug \
		--enable-curl \
		--enable-fluidsynth \
		--enable-wildmidi \
		--prefix=/usr \
		--sysconfdir=/etc

override_dh_auto_build:
	dh_auto_build
	# from the available documentation, generate just the user manual, as one html file
	/usr/bin/xmlto --stringparam chunker.output.encoding=utf-8 html-nochunks $(CURDIR)/doc/user.xml
	mv user.html user-manual.html

override_dh_strip:
	dh_strip  --dbg-package=mpd-dbg

override_dh_installinit:
	dh_installinit -n

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_install:
	dh_install
	cp $(CURDIR)/debian/mpd.tmpfiles $(CURDIR)/debian/mpd/usr/lib/tmpfiles.d/mpd.conf
	$(CP_SYSTEMD_UNIT)

=== debian/watch ===
version=3
http://www.musicpd.org/download/mpd/stable/mpd-([0-9.]*).tar.gz

## mpd 0.17.6

=== debian/changelog ===
mpd (0.17.6-2) UNRELEASED; urgency=medium

  * rebuilt for jessie and Voyage 0.10.0
  * add rtopts to /etc/mpd.conf

 -- Punky Tse <punkytse@yahoo.com>  Thu, 30 Apr 2015 16:19:19 +0800

mpd (0.17.6-1) unstable; urgency=low

  * new upstream release https://github.com/lintweaker/mpd-dsd 
  * Yan's buffer.c.diff and mpd-0.17.x-rtopt20131118.diff

 -- Punky Tse <punkytse@yahoo.com>  Wed, 05 Feb 2014 18:11:47 +0800

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,9 @@
 Source: mpd
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
-Uploaders: Florian Schlichting <fsfs@debian.org>
+Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
+Uploaders: Alexander Wirt <formorer@debian.org>
 Build-Depends: debhelper (>= 9),
-               dh-autoreconf,
-               dpkg-dev (>= 1.16.1~),
                libao-dev (>= 0.8.3),
                libasound2-dev  [linux-any],
                libaudiofile-dev,
@@ -24,9 +21,7 @@
                libiso9660-dev,
                libcurl4-gnutls-dev | libcurl-dev,
                libfaad-dev,
-               libffado-dev [amd64 armel armhf i386 powerpc],
                libflac-dev (>= 1.1.4),
-               libgme-dev,
                libid3tag0-dev,
                libjack-jackd2-dev,
                libmad0-dev,
@@ -39,28 +34,23 @@
                libresid-builder-dev,
                libsamplerate0-dev,
                libshout3-dev,
-               libsoup2.4-dev,
-               libsystemd-daemon-dev [linux-any],
+               libsystemd-daemon-dev,
                libsidplay2-dev,
                libsqlite3-dev,
                libvorbis-dev [!arm !armel !armeb],
                libvorbisidec-dev [arm armel armeb],
                libwavpack-dev,
-               libwildmidi-dev,
-               libwrap0-dev,
                xmlto,
-               zlib1g-dev,
-               libmp3lame-dev
-Standards-Version: 3.9.4
-Homepage: http://www.musicpd.org/
+               zlib1g-dev
+Standards-Version: 3.9.3
+Homepage: http://mpd.wikia.com/wiki/Music_Player_Daemon_Wiki
 Vcs-Browser: http://git.debian.org/?p=pkg-mpd/pkg-mpd.git
 Vcs-Git: git://git.debian.org/pkg-mpd/pkg-mpd.git
 
 Package: mpd
 Architecture: any
 Depends: adduser, lsb-base (>= 3.2-13), ${misc:Depends}, ${shlibs:Depends}
-Suggests: icecast2, mpd-client, pulseaudio
-Recommends: avahi-daemon
+Suggests: avahi-daemon, icecast2, mpd-client, pulseaudio
 Description: Music Player Daemon
  Music Player Daemon (MPD) is a server that allows remote access for
  playing audio files (Ogg-Vorbis, FLAC, MP3, Wave, and AIFF), streams

=== debian/rules ===
#!/usr/bin/make -f
ARCH=$(shell dpkg-architecture -qDEB_HOST_ARCH)
WITH_TREMOR=
ifeq ($(ARCH), arm)
WITH_TREMOR=--with-tremor
endif
ifeq ($(ARCH), armel)
WITH_TREMOR=--with-tremor
endif
ifeq ($(ARCH), armeb)
WITH_TREMOR=--with-tremor
endif

LDFLAGS += -Wl,--as-needed

%:
	dh $@

override_dh_auto_configure:
	./configure $(WITH_TREMOR) --enable-sqlite \
		--enable-un \
		--enable-ao \
		--enable-lastfm \
		--enable-pipe-output \
		--enable-lame-encoder \
		--enable-cue \
		--enable-mikmod \
		--enable-soundcloud \
		--enable-iso9660 \
		--enable-systemd-daemon \
		--enable-modplug \
		--enable-curl \
		--with-systemdsystemunitdir=/lib/systemd/system \
                --enable-ffado --with-zeroconf=avahi \
		--enable-sndfile \
		--enable-rtopt \
		--prefix=/usr \
		--sysconfdir=/etc/mpd

override_dh_strip:
	dh_strip  --dbg-package=mpd-dbg

override_dh_installinit:
	dh_installinit -n

=== debian/watch ===
version=3
http://sf.net/musicpd/mpd-([0-9.]*).tar.gz

## mpd 0.18.3

=== debian/changelog ===
mpd (0.18.3-1ubuntu1) trusty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Add libmp3lame-dev to Build-Depends, and enable LAME.
    - Read the user for the daemon from the config file in the init script.
    - Move avahi-daemon from Suggests to Recommends.
    - Added apport hook to include user configuration file.

 -- Steve Kowalik <stevenk@ubuntu.com>  Tue, 12 Nov 2013 18:17:40 +1100

mpd (0.18.3-1) unstable; urgency=low

  * Switch to tar.xz upstream tarballs
  * Import Upstream version 0.18.3

 -- Florian Schlichting <fsfs@debian.org>  Sat, 09 Nov 2013 06:26:24 +0100

mpd (0.18.2-1) unstable; urgency=low

  * Import Upstream version 0.18.2
    + fix "volume_normalization" with mp3 files (closes: #728667)
    + rotocol: "close" flushes the output buffer (closes: #728982)
  * Depend on libaudiofile (>= 0.3) due to API breakage
  * Drop add_missing_files_for_test.patch, files were added by upstream

 -- Florian Schlichting <fsfs@debian.org>  Thu, 07 Nov 2013 23:00:18 +0100

mpd (0.18-1) unstable; urgency=low

  * Import Upstream version 0.18
  * Update debian/copyright, particularly noting all BSD-2-clause licensed
    files
  * Drop support for removed plugins: ffado, lastfm, soup
  * Enable new / additional plugins: adplug, opus, mpdclient, openal, roar,
    bzip2
  * Drop unnecessary versions on (build-)dependencies
  * Delete obsolete/bogus build-dependency on zlib1g-dev
  * wrap-and-sort dependencies
  * Enable automatic build tests
  * Add files missing in upstream tarball necessary for build tests
  * Declare compliance with Debian Policy 3.9.5

 -- Florian Schlichting <fsfs@debian.org>  Fri, 01 Nov 2013 23:08:22 +0100

mpd (0.17.5-2) unstable; urgency=low

  * Fix path to modplug.h (closes: #725535)

 -- Florian Schlichting <fsfs@debian.org>  Sat, 12 Oct 2013 21:43:37 +0200

mpd (0.17.5-1) unstable; urgency=low

  [ Florian Schlichting ]
  * Import Upstream version 0.17.5
  * Add a note on JACK to README.Debian (closes: #655482).
  * Use dh-systemd (patch from Michael Stapelberg, thanks! closes: #715164)
  * mpd.init.d: ensure avahi, if available, is started first (closes: #711429)
  * Drop bug622368.patch, applied upstream.
  * Update Vcs-Browser and Vcs-Git control fields to their canonical value.

 -- Florian Schlichting <fsfs@debian.org>  Fri, 09 Aug 2013 14:37:04 +0200

=== debian/control ===
--- 
+++ 
@@ -1,56 +1,71 @@
 Source: mpd
 Section: sound
 Priority: optional
-Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
-Uploaders: Alexander Wirt <formorer@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
+Uploaders: Florian Schlichting <fsfs@debian.org>
 Build-Depends: debhelper (>= 9),
-               libao-dev (>= 0.8.3),
+               dh-autoreconf,
+               dh-systemd,
+               dpkg-dev (>= 1.16.1~),
+               libadplug-dev,
+               libao-dev,
                libasound2-dev  [linux-any],
-               libaudiofile-dev,
+               libaudiofile-dev (>= 0.3),
                libavahi-client-dev,
-    	       libavahi-glib-dev,
+               libavahi-glib-dev,
                libavcodec-dev,
-               libsndfile1-dev,
-               libyajl-dev,
-               libsidutils-dev,
-               libmodplug-dev,
+               libavformat-dev,
+               libbz2-dev,
                libcdio-paranoia-dev,
-               libfluidsynth-dev,
-               libmpg123-dev,
-               libavformat-dev,
-               libiso9660-dev,
+               libcppunit-dev,
                libcurl4-gnutls-dev | libcurl-dev,
                libfaad-dev,
-               libflac-dev (>= 1.1.4),
+               libflac-dev,
+               libfluidsynth-dev,
+               libgme-dev,
                libid3tag0-dev,
+               libiso9660-dev,
                libjack-jackd2-dev,
                libmad0-dev,
                libmikmod2-dev,
                libmms-dev,
+               libmodplug-dev,
                libmp3lame-dev,
                libmpcdec-dev,
+               libmpdclient-dev,
+               libmpg123-dev,
                libogg-dev,
+               libopenal-dev,
+               libopus-dev,
                libpulse-dev,
                libresid-builder-dev,
+               libroar-dev (>= 0.4),
                libsamplerate0-dev,
                libshout3-dev,
-               libsystemd-daemon-dev,
                libsidplay2-dev,
+               libsidutils-dev,
+               libsndfile1-dev,
                libsqlite3-dev,
+               libsystemd-daemon-dev [linux-any],
                libvorbis-dev [!arm !armel !armeb],
                libvorbisidec-dev [arm armel armeb],
                libwavpack-dev,
+               libwildmidi-dev,
+               libwrap0-dev,
+               libyajl-dev,
                xmlto,
-               zlib1g-dev
-Standards-Version: 3.9.3
-Homepage: http://mpd.wikia.com/wiki/Music_Player_Daemon_Wiki
-Vcs-Browser: http://git.debian.org/?p=pkg-mpd/pkg-mpd.git
-Vcs-Git: git://git.debian.org/pkg-mpd/pkg-mpd.git
+               libmp3lame-dev
+Standards-Version: 3.9.5
+Homepage: http://www.musicpd.org/
+Vcs-Browser: http://anonscm.debian.org/gitweb?p=pkg-mpd/pkg-mpd.git
+Vcs-Git: git://anonscm.debian.org/pkg-mpd/pkg-mpd.git
 
 Package: mpd
 Architecture: any
 Depends: adduser, lsb-base (>= 3.2-13), ${misc:Depends}, ${shlibs:Depends}
-Suggests: avahi-daemon, icecast2, mpd-client, pulseaudio
+Suggests: icecast2, mpd-client, pulseaudio
+Recommends: avahi-daemon
 Description: Music Player Daemon
  Music Player Daemon (MPD) is a server that allows remote access for
  playing audio files (Ogg-Vorbis, FLAC, MP3, Wave, and AIFF), streams

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk

WITH_TREMOR=
ifeq ($(DEB_HOST_ARCH), arm)
WITH_TREMOR=--with-tremor
endif
ifeq ($(DEB_HOST_ARCH), armel)
WITH_TREMOR=--with-tremor
endif
ifeq ($(DEB_HOST_ARCH), armeb)
WITH_TREMOR=--with-tremor
endif

# no systemd and no alsa on non-linux arches
ifeq ($(DEB_HOST_ARCH_OS), linux)
WITH_SYSTEMD=--enable-systemd-daemon --with-systemdsystemunitdir=/lib/systemd/system
CP_SYSTEMD_UNIT=mkdir -p debian/mpd/lib/systemd && cp -a debian/tmp/lib/systemd/system debian/mpd/lib/systemd/
else
WITH_SYSTEMD=--disable-alsa
CP_SYSTEMD_UNIT=echo "no systemd, not copying systemd .service file"
endif

LDFLAGS += -Wl,--as-needed

%:
	dh $@ --with autoreconf --with=systemd

override_dh_auto_configure:
	./configure $(WITH_TREMOR) $(WITH_SYSTEMD) \
		--enable-sqlite \
		--enable-un \
		--enable-ao \
		--enable-pipe-output \
		--enable-lame \
		--disable-cue \
		--enable-mikmod \
		--enable-soundcloud \
		--enable-iso9660 \
		--enable-modplug \
		--enable-curl \
		--enable-fluidsynth \
		--enable-test \
		--prefix=/usr \
		--sysconfdir=/etc

override_dh_auto_build:
	dh_auto_build
	# from the available documentation, generate just the user manual, as one html file
	/usr/bin/xmlto --stringparam chunker.output.encoding=utf-8 html-nochunks $(CURDIR)/doc/user.xml
	mv user.html user-manual.html

override_dh_strip:
	dh_strip  --dbg-package=mpd-dbg

override_dh_installinit:
	dh_installinit -n

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_install:
	dh_install
	cp $(CURDIR)/debian/mpd.tmpfiles $(CURDIR)/debian/mpd/usr/lib/tmpfiles.d/mpd.conf
	$(CP_SYSTEMD_UNIT)

override_dh_auto_test:
	chmod +x test/*.sh
	dh_auto_test

=== debian/watch ===
version=3
http://www.musicpd.org/download/mpd/stable/mpd-([0-9.]*).tar.xz

## mpd 0.18.7

=== debian/changelog ===
mpd (0.18.7-1) unstable; urgency=medium

  * Import Upstream version 0.18.7
    + don't initialize supplementary groups when already running as the
      configured user (closes: #732790)
  * Fix upstream tarball signing key, it must be a binary keyring
  * Change initscript LSB dependency on avahi to avahi-daemon
    (closes: #731613)

 -- Florian Schlichting <fsfs@debian.org>  Mon, 13 Jan 2014 22:27:03 +0100

mpd (0.18.6-1) unstable; urgency=medium

  * Import Upstream version 0.18.6
  * Update copyright for refreshed autotools-generated files
  * Disable build tests on s390x until #726733 is solved
  * Configure a defined Debian feature set
  * Enable ZIP archive support
  * Install apport hook from Ubuntu
  * Let uscan check upstream's release tarball signature

 -- Florian Schlichting <fsfs@debian.org>  Sun, 29 Dec 2013 02:17:04 +0100

mpd (0.18.5-1) unstable; urgency=low

  * Import Upstream version 0.18.5
  * Remove configure options enabled automatically or by default
  * Drop dh_auto_test override necessary only with obsoleted/dropped patch
  * Use dh_installinit to install mpd.tmpfiles
  * Move the XDG autostart file from examples into /etc
  * Maintainer scripts: remove check for deprecated option (obsolete after
    wheezy), let dh_installinit define runlevels and start/stop
  * Update mpd.conf in accordance with the upstream sample
  * Drop endian_test.patch, applied upstream

 -- Florian Schlichting <fsfs@debian.org>  Sat, 23 Nov 2013 21:35:53 +0100

mpd (0.18.4-1) unstable; urgency=low

  * Import Upstream version 0.18.4
  * New endian_test.patch to fix build tests on ia64 and mipsel

 -- Florian Schlichting <fsfs@debian.org>  Thu, 14 Nov 2013 23:28:21 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: mpd
 Section: sound
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
+Maintainer: mpd maintainers <pkg-mpd-maintainers@lists.alioth.debian.org>
 Uploaders: Florian Schlichting <fsfs@debian.org>
 Build-Depends: debhelper (>= 9),
                dh-autoreconf,
@@ -54,8 +53,8 @@
                libwildmidi-dev,
                libwrap0-dev,
                libyajl-dev,
-               xmlto,
-               libmp3lame-dev
+               libzzip-dev,
+               xmlto
 Standards-Version: 3.9.5
 Homepage: http://www.musicpd.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb?p=pkg-mpd/pkg-mpd.git
@@ -63,9 +62,9 @@
 
 Package: mpd
 Architecture: any
-Depends: adduser, lsb-base (>= 3.2-13), ${misc:Depends}, ${shlibs:Depends}
-Suggests: icecast2, mpd-client, pulseaudio
-Recommends: avahi-daemon
+Depends: adduser, lsb-base, ${misc:Depends}, ${shlibs:Depends}
+Suggests: avahi-daemon, icecast2, mpd-client, pulseaudio
+Breaks: avahi-daemon (<< 0.6.31-3)
 Description: Music Player Daemon
  Music Player Daemon (MPD) is a server that allows remote access for
  playing audio files (Ogg-Vorbis, FLAC, MP3, Wave, and AIFF), streams

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/architecture.mk

WITH_TREMOR=--without-tremor --enable-vorbis
ifeq ($(DEB_HOST_ARCH), arm)
WITH_TREMOR=--with-tremor --disable-vorbis
endif
ifeq ($(DEB_HOST_ARCH), armel)
WITH_TREMOR=--with-tremor --disable-vorbis
endif
ifeq ($(DEB_HOST_ARCH), armeb)
WITH_TREMOR=--with-tremor --disable-vorbis
endif

# no systemd and no alsa on non-linux arches
ifeq ($(DEB_HOST_ARCH_OS), linux)
WITH_SYSTEMD=--enable-systemd-daemon --with-systemdsystemunitdir=/lib/systemd/system --enable-alsa
CP_SYSTEMD_UNIT=mkdir -p debian/mpd/lib/systemd && cp -a debian/tmp/lib/systemd/system debian/mpd/lib/systemd/
else
WITH_SYSTEMD=--disable-systemd-daemon --disable-alsa
CP_SYSTEMD_UNIT=echo "no systemd, not copying systemd .service file"
endif

# disable tests on s390x until #726733 is solved
RUN_TESTS=--enable-test
ifeq ($(DEB_HOST_ARCH), s390x)
    RUN_TESTS=
endif


###############################################################
## Define Debian feature set (in configure summary order)

# Archive support
ENABLE_ARCHIVES=--enable-bzip2 \
	        --enable-iso9660 \
		--enable-zzip

# Autodiscovery support
ENABLE_AUTODISCOVERY=--with-zeroconf=avahi

# Client support
ENABLE_CLIENTS=--enable-ipv6 \
	       --enable-tcp \
	       --enable-un

# File format support
# Note: OggTremor / OggVorbis are in WITH_TREMOR
ENABLE_FILEFORMATS=--enable-aac \
		   --enable-adplug \
		   --enable-sidplay \
		   --enable-ffmpeg \
		   --enable-flac \
		   --enable-fluidsynth \
		   --enable-gme \
		   --enable-sndfile \
		   --enable-mikmod \
		   --enable-modplug \
		   --enable-mad \
		   --enable-mpg123 \
		   --enable-mpc \
		   --enable-opus \
		   --enable-audiofile \
		   --enable-wavpack \
		   --enable-wildmidi

# Other features
ENABLE_OTHER=--enable-lsr \
	     --enable-libmpdclient \
	     --enable-inotify \
	     --enable-sqlite

# Metadata support
ENABLE_METADATA=--enable-id3

# Playback support
# Note: ALSA is in WITH_SYSTEMD
ENABLE_PLAYBACKS=--enable-fifo \
		 --enable-recorder-output \
		 --enable-httpd-output \
		 --enable-jack \
		 --enable-ao \
		 --enable-oss \
		 --enable-openal \
		 --enable-pipe-output \
		 --enable-pulse \
		 --enable-roar \
		 --enable-shout

# Streaming encoder support
# Note: Opus enabled under file formats
ENABLE_ENCODERS=--enable-flac-encoder \
		--enable-lame-encoder \
		--enable-vorbis-encoder \
		--enable-wave-encoder

# Streaming support
ENABLE_STREAMING=--enable-cdio-paranoia \
		 --enable-curl \
		 --enable-soundcloud \
		 --enable-mms

###############################################################


LDFLAGS += -Wl,--as-needed

%:
	dh $@ --with autoreconf --with=systemd

override_dh_auto_configure:
	./configure $(WITH_TREMOR) $(WITH_SYSTEMD) $(RUN_TESTS) \
		--prefix=/usr \
		--sysconfdir=/etc \
		$(ENABLE_ARCHIVES) \
		$(ENABLE_AUTODISCOVERY) \
		$(ENABLE_CLIENTS) \
		$(ENABLE_FILEFORMATS) \
		$(ENABLE_OTHER) \
		$(ENABLE_METADATA) \
		$(ENABLE_PLAYBACKS) \
		$(ENABLE_ENCODERS) \
		$(ENABLE_STREAMING)

override_dh_auto_build:
	dh_auto_build
	# from the available documentation, generate just the user manual, as one html file
	/usr/bin/xmlto --stringparam chunker.output.encoding=utf-8 html-nochunks $(CURDIR)/doc/user.xml
	mv user.html user-manual.html

override_dh_strip:
	dh_strip  --dbg-package=mpd-dbg

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_install:
	dh_install
	$(CP_SYSTEMD_UNIT)

=== debian/watch ===
version=3
opts="pgpsigurlmangle=s/$/.sig/" \
http://www.musicpd.org/download/mpd/stable/mpd-([0-9.]*).tar.xz

## mpd 0.18.12

=== debian/changelog ===
mpd (0.18.12-1build1) utopic; urgency=medium

  * Rebuild against libav11.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 05 Sep 2014 01:24:53 +0100

mpd (0.18.12-1) unstable; urgency=medium

  * Import Upstream version 0.18.12
  * Use an ascii upstream signing key instead of a binary one, in the new
    location
  * Bump copyright years

 -- Florian Schlichting <fsfs@debian.org>  Sun, 03 Aug 2014 22:38:06 +0200

mpd (0.18.11-1) unstable; urgency=medium

  * Import Upstream version 0.18.11
  * Build-Depend on libmikmod-dev instead of libmikmod2-dev, the latter is
    only a virtual package provided by the former nowadays

 -- Florian Schlichting <fsfs@debian.org>  Mon, 02 Jun 2014 22:46:03 +0200

mpd (0.18.10-2) unstable; urgency=medium

  * Do not mess with runlevels if START_MPD is already gone
    (closes: #744174 #742833)

 -- Florian Schlichting <fsfs@debian.org>  Fri, 11 Apr 2014 12:04:57 +0200

mpd (0.18.10-1) unstable; urgency=medium

  * Import Upstream version 0.18.10
  * #726733 on s390x is solved, run tests on all architectures

 -- Florian Schlichting <fsfs@debian.org>  Thu, 10 Apr 2014 20:23:32 +0200

mpd (0.18.9-1) unstable; urgency=medium

  * Import Upstream version 0.18.9
  * Don't fail in preinst

 -- Florian Schlichting <fsfs@debian.org>  Sun, 02 Mar 2014 23:07:08 +0100

mpd (0.18.8-1) unstable; urgency=medium

  * Import Upstream version 0.18.8
  * Transition away from START_MPD=false (closes: #738313)
  * Patch systemd unit to honor $MPDCONF set in /etc/default/mpd

 -- Florian Schlichting <fsfs@debian.org>  Wed, 12 Feb 2014 21:12:44 +0100

=== debian/control ===
--- 
+++ 
@@ -27,7 +27,7 @@
                libiso9660-dev,
                libjack-jackd2-dev,
                libmad0-dev,
-               libmikmod2-dev,
+               libmikmod-dev,
                libmms-dev,
                libmodplug-dev,
                libmp3lame-dev,

=== debian/rules ===
--- 
+++ 
@@ -19,12 +19,6 @@
 else
 WITH_SYSTEMD=--disable-systemd-daemon --disable-alsa
 CP_SYSTEMD_UNIT=echo "no systemd, not copying systemd .service file"
-endif
-
-# disable tests on s390x until #726733 is solved
-RUN_TESTS=--enable-test
-ifeq ($(DEB_HOST_ARCH), s390x)
-    RUN_TESTS=
 endif
 
 
@@ -109,9 +103,10 @@
 	dh $@ --with autoreconf --with=systemd
 
 override_dh_auto_configure:
-	./configure $(WITH_TREMOR) $(WITH_SYSTEMD) $(RUN_TESTS) \
+	./configure $(WITH_TREMOR) $(WITH_SYSTEMD) \
 		--prefix=/usr \
 		--sysconfdir=/etc \
+		--enable-test \
 		$(ENABLE_ARCHIVES) \
 		$(ENABLE_AUTODISCOVERY) \
 		$(ENABLE_CLIENTS) \

## mpd 0.18.13

=== debian/changelog ===
mpd (0.18.13-1) unstable; urgency=medium

  * Import Upstream version 0.18.13

 -- Florian Schlichting <fsfs@debian.org>  Fri, 05 Sep 2014 22:11:40 +0200

## mpd 0.19.1

=== debian/changelog ===
mpd (0.19.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Florian Schlichting ]
  * Disable libmp4v2 due to incompatible license (closes: #767504)

 -- Simon McVittie <smcv@debian.org>  Sat, 06 Dec 2014 17:50:49 +0000

mpd (0.19.1-1) unstable; urgency=medium

  * Import Upstream version 0.19.1
  * Drop upstream patches add_mpd_socket.patch, mms_deadlock.patch
  * Disable test suite on mips/mipsel (toolchain issue)

 -- Florian Schlichting <fsfs@debian.org>  Mon, 20 Oct 2014 00:38:34 +0200

mpd (0.19-1) unstable; urgency=medium

  * Import Upstream version 0.19
  * Update debian/copyright for new and moved files
  * Enable new features / plugins: MP4v2, soxr, nfs/smbclient/upnp, ...
  * Update mpd.conf with upstream changes to default config
  * Refresh systemd_honor_MPDCONF.patch
  * Add patches from upstream: mpd.socket, mms_deadlock
  * Declare compliance with Debian Policy 3.9.6

 -- Florian Schlichting <fsfs@debian.org>  Sun, 12 Oct 2014 23:05:41 +0200

mpd (0.18.16-1) unstable; urgency=medium

  * Import Upstream version 0.18.16
  * Explain more about running mpd with pulseaudio from a user session in
    README.Debian
  * Update mpd.conf according to the upstream mpdconf.example, adding a note
    to the pulseaudio output section

 -- Florian Schlichting <fsfs@debian.org>  Fri, 26 Sep 2014 11:14:03 +0200

mpd (0.18.14-1) unstable; urgency=medium

  * Import Upstream version 0.18.14 (closes: #760669)
  * Enable "all" hardening features, particularly "PIE" and "BINDNOW" as
    recommended for network listeners
  * Fix space-in-std-shortname-in-dep5-copyright lintian warning
  * Remove nonexistant --enable-flac-encoder configure option

 -- Florian Schlichting <fsfs@debian.org>  Thu, 11 Sep 2014 21:19:19 +0200

=== debian/control ===
--- 
+++ 
@@ -15,14 +15,18 @@
                libavahi-glib-dev,
                libavcodec-dev,
                libavformat-dev,
+               libboost-dev,
                libbz2-dev,
                libcdio-paranoia-dev,
                libcppunit-dev,
                libcurl4-gnutls-dev | libcurl-dev,
+               libexpat1-dev,
                libfaad-dev,
                libflac-dev,
                libfluidsynth-dev,
+               libglib2.0-dev,
                libgme-dev,
+               libicu-dev,
                libid3tag0-dev,
                libiso9660-dev,
                libjack-jackd2-dev,
@@ -34,6 +38,7 @@
                libmpcdec-dev,
                libmpdclient-dev,
                libmpg123-dev,
+               libnfs-dev,
                libogg-dev,
                libopenal-dev,
                libopus-dev,
@@ -41,12 +46,16 @@
                libresid-builder-dev,
                libroar-dev (>= 0.4),
                libsamplerate0-dev,
+               libshine-dev [arm armel armeb],
                libshout3-dev,
                libsidplay2-dev,
                libsidutils-dev,
+               libsmbclient-dev,
                libsndfile1-dev,
+               libsoxr-dev,
                libsqlite3-dev,
                libsystemd-daemon-dev [linux-any],
+               libupnp-dev,
                libvorbis-dev [!arm !armel !armeb],
                libvorbisidec-dev [arm armel armeb],
                libwavpack-dev,
@@ -55,7 +64,7 @@
                libyajl-dev,
                libzzip-dev,
                xmlto
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://www.musicpd.org/
 Vcs-Browser: http://anonscm.debian.org/gitweb?p=pkg-mpd/pkg-mpd.git
 Vcs-Git: git://anonscm.debian.org/pkg-mpd/pkg-mpd.git

=== debian/rules ===
--- 
+++ 
@@ -1,15 +1,24 @@
 #!/usr/bin/make -f
 include /usr/share/dpkg/architecture.mk
 
-WITH_TREMOR=--without-tremor --enable-vorbis
+WITH_TREMOR=--without-tremor --enable-vorbis --disable-shine-encoder
 ifeq ($(DEB_HOST_ARCH), arm)
-WITH_TREMOR=--with-tremor --disable-vorbis
+WITH_TREMOR=--with-tremor --disable-vorbis --enable-shine-encoder
 endif
 ifeq ($(DEB_HOST_ARCH), armel)
-WITH_TREMOR=--with-tremor --disable-vorbis
+WITH_TREMOR=--with-tremor --disable-vorbis --enable-shine-encoder
 endif
 ifeq ($(DEB_HOST_ARCH), armeb)
-WITH_TREMOR=--with-tremor --disable-vorbis
+WITH_TREMOR=--with-tremor --disable-vorbis --enable-shine-encoder
+endif
+
+# work around ld assertion fail ../../bfd/elf-strtab.c:254/:272 on mips/mipsel
+RUN_TESTS=--enable-test
+ifeq ($(DEB_HOST_ARCH), mips)
+    RUN_TESTS=--disable-test
+endif
+ifeq ($(DEB_HOST_ARCH), mipsel)
+    RUN_TESTS=--disable-test
 endif
 
 # no systemd and no alsa on non-linux arches
@@ -28,10 +37,15 @@
 # Archive support
 ENABLE_ARCHIVES=--enable-bzip2 \
 	        --enable-iso9660 \
+		--enable-zlib \
 		--enable-zzip
 
 # Autodiscovery support
-ENABLE_AUTODISCOVERY=--with-zeroconf=avahi
+ENABLE_AUTODISCOVERY=--enable-neighbor-plugins \
+		     --enable-nfs \
+		     --enable-smbclient \
+		     --enable-upnp \
+		     --with-zeroconf=avahi
 
 # Client support
 ENABLE_CLIENTS=--enable-ipv6 \
@@ -51,6 +65,7 @@
 		   --enable-mikmod \
 		   --enable-modplug \
 		   --enable-mad \
+		   --disable-mp4v2 \
 		   --enable-mpg123 \
 		   --enable-mpc \
 		   --enable-opus \
@@ -59,9 +74,15 @@
 		   --enable-wildmidi
 
 # Other features
-ENABLE_OTHER=--enable-lsr \
+ENABLE_OTHER=--with-boost \
+	     --enable-database \
+	     --enable-expat \
+	     --enable-glib \
+	     --enable-icu \
+	     --enable-lsr \
 	     --enable-libmpdclient \
 	     --enable-inotify \
+	     --enable-soxr \
 	     --enable-sqlite
 
 # Metadata support
@@ -82,9 +103,8 @@
 		 --enable-shout
 
 # Streaming encoder support
-# Note: Opus enabled under file formats
-ENABLE_ENCODERS=--enable-flac-encoder \
-		--enable-lame-encoder \
+# Note: FLAC and Opus enabled under file formats
+ENABLE_ENCODERS= --enable-lame-encoder \
 		--enable-vorbis-encoder \
 		--enable-wave-encoder
 
@@ -97,6 +117,7 @@
 ###############################################################
 
 
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 LDFLAGS += -Wl,--as-needed
 
 %:
@@ -106,7 +127,7 @@
 	./configure $(WITH_TREMOR) $(WITH_SYSTEMD) \
 		--prefix=/usr \
 		--sysconfdir=/etc \
-		--enable-test \
+		$(RUN_TESTS) \
 		$(ENABLE_ARCHIVES) \
 		$(ENABLE_AUTODISCOVERY) \
 		$(ENABLE_CLIENTS) \
